#!/usr/bin/env bash

#### Restore default settings ####
cp default.sex.ccd_example default.sex
cp default.conv.backup default.conv
#cp default.psfex.ccd_example default.psfex
cp default.psfex.wide_FoV default.psfex
##################################

#### Remove all temporary files ####
rm image?????.cat*
rm test.dat test2.dat TEST
rm saved_period_search_lightcurves/*
rm wcscache/*
rm astorb.dat 
rm -rf test_data
rm -rf lib/catalogs/*
rm astorb.dat
rm transient_report/*
util/clean_data.sh
make clean
rm vizquerry*.txt center*.txt all_in_one*.dat
rm -f vast_list_of_input_images_with_time_corrections.txt
rm -rf symlinks_to_images/
rm -f ds91.reg ds9.reg
rm -f vast_test_report.txt
rm -f calib.txt calib.txt_param calib.txt_param_backup
rm -f cpuinfo.txt
rm -f check.fits
rm -f transient_factory.log
rm -rf wcscache
rm -f *.gnuplot
rm -f *.eps
rm -f *.png
rm -f *_saved_limits.h
rm -f octave-workspace
rm -f vast_index_vs_mag*.txt
rm -rf candidates_report/
rm -f debugfile_*.dat
rm -f randomized_JD_*.dat
rm -f ordered_mag_*.dat
rm -f input_lightcurve_*.dat
####################################
for BADFILE in shuffled_lightcurve.txt test_lightcurve_outlier.txt test_lightcurve.tex test_lightcurve_without_outlier.txt lk.periodogram deeming.periodogram ;do
 if [ -f "$BADFILE" ];then
  rm -f "$BADFILE"
 fi
done
####################################

#### Update VaST documentation file ####
VASTDIR="$PWD"
cd doc
wget -c --no-parent -nd --convert-links -A".css,.html,.jpg,.gif" -p http://scan.sai.msu.ru/vast/index.html
cat index.html | sed 's:</td></tr><tr><td bgcolor="#f5f5ff">:</td></tr><tr><td bgcolor="#f5f5ff">\n\n<h2><a href="http\://scan.sai.msu.ru/vast/">The up-to-date version of this document is avaliable at http\://scan.sai.msu.ru/vast/</a></h2>:g' | sed 's:index.html:README.html:g' | sed '/<!-- CUT HERE START --!>/,/<!-- CUT HERE STOP --!>/d' > README.html
rm -f robots.txt index.html
cd "$VASTDIR"
########################################
