// The following line is just to make sure this file is not included twice in the code
#ifndef VAST_FITSFILE_READ_CHECK_INCLUDE_FILE

__inline int fitsfile_read_check(char * fitsfilename){
 int status = 0; //for cfitsio routines
 fitsfile *fptr; // pointer to the FITS file; defined in fitsio.h 
 int hdutype, naxis;
 // check if this is a readable FITS file
 fits_open_file(&fptr, fitsfilename, READONLY, &status);
 if(0 != status)
  return status;
 if(fits_get_hdu_type(fptr, &hdutype, &status) || hdutype != IMAGE_HDU){
  fprintf(stderr,"%s is not a FITS image! Is it a FITS table?\n", fitsfilename);
  fits_close_file(fptr, &status);
  return 1;
 }
 fits_get_img_dim(fptr, &naxis, &status);
 if(status || naxis !=2){
  fprintf(stderr,"%s image has NAXIS = %d.  Only 2-D images are supported.\n", fitsfilename, naxis);
  fits_close_file(fptr, &status);
  return 1;
 }
 fits_close_file(fptr, &status);
 return 0;
}

// The macro below will tell the pre-processor that this header file is already included
#define VAST_FITSFILE_READ_CHECK_INCLUDE_FILE
#endif
// VAST_FITSFILE_READ_CHECK_INCLUDE_FILE
